Optimize Product Name
curl --request POST \
--url https://ai.getlynks.io/api/tasks/optimization/name \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--header 'X-OpenAI-Key: <api-key>' \
--data '
{
"product_name": "<string>"
}
'import requests
url = "https://ai.getlynks.io/api/tasks/optimization/name"
payload = { "product_name": "<string>" }
headers = {
"X-Api-Key": "<api-key>",
"X-OpenAI-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Api-Key': '<api-key>',
'X-OpenAI-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({product_name: '<string>'})
};
fetch('https://ai.getlynks.io/api/tasks/optimization/name', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"old_name": "<string>",
"best_name": "<string>",
"other_names": [
"<string>"
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Optimization
Optimize Product Name
This endpoint is used to optimize the name of a product. It provides a better name for a product based on the current name.
POST
/
tasks
/
optimization
/
name
Optimize Product Name
Authorizations
APIKey & OpenAIKeyAPIKey
Query Parameters
Available options:
cleaned, detailed Available options:
en, de, fr, it Body
application/json
The name of the product to optimize.
⌘I